BuildRequires: /proc
BuildRequires: jpackage-1.4-compat

Name:           jsap
Version:        2.0
Release:        alt1_1jpp1.7
Epoch:          0
Summary:        A Java-based Simple Argument Parser
License:        LGPL
Source0:	http://prdownloads.sourceforge.net/jsap/JSAP-2.0-src.tar.gz
URL:            http://www.martiansoftware.com/jsap/
Group:          Development/Java
BuildArch:      noarch
Requires: xstream
BuildRequires: xstream-javadoc jpackage-utils >= 0:1.6 ant /bin/bash

%description 
JSAP not only syntactically validates your program's command line
arguments, but it converts those arguments into objects you specify. If you
tell JSAP that one of your parameters is an Integer, for example, and the
user does not provide a String that can be converted to an Integer when
invoking the program, JSAP will throw a ParseException when you have it
parse the command line. If no exception is thrown, you are guaranteed an
Integer when you request that parameter's value from your program. There's
a pretty big (and growing) list of return types suppored by JSAP, including
Integers, Floats, Dates, URLs, and even java.awt.Colors; you can also add
your own in a matter of minutes.


%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}.

%package manual
Summary:        Manual for %{name}
Group:          Development/Documentation

%description manual
Manual for %{name}.

%prep
%setup -q -c

%build
mv JSAP-%{version}/* .
export CLASSPATH=%(build-classpath xstream)
ant \
  -Dversion=%{version} \
  -Dj2se.apiurl=%{_javadocdir}/java \
  -Dxstream.apiurl=%{_javadocdir}/xstream \
  jar javadoc
mv doc/javadoc .

%install
rm -fr $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 dist/JSAP-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%files
%doc LICENSE.TXT CHANGELOG.TXT
%{_javadir}/*.jar

%files javadoc
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files manual
%doc doc/*


%changelog
* Fri Dec 21 2007 Igor Vlasenko <viy@altlinux.ru> 0:2.0-alt1_1jpp1.7
- converted from JPackage by jppimport script

